## Version and Features Information

Version and Features Information — Variables and functions to check the poppler version and features

## Functions

#define | POPPLER_MAJOR_VERSION
#define | POPPLER_MINOR_VERSION
#define | POPPLER_MICRO_VERSION
#define | POPPLER_CHECK_VERSION()

## Types and Values

#define | POPPLER_HAS_CAIRO

## Object Hierarchy

## Includes

    #include <poppler.h>

## Description

Poppler provides version information, and information about features enabled at compile time. This is primarily useful in configure checks for builds that have a configure script, or for allowing code to optionally depend but not require a specific poppler version.

## Functions

### POPPLER_MAJOR_VERSION

    #define POPPLER_MAJOR_VERSION (0)

The major version number of the poppler header files (e.g. in poppler version 0.1.2 this is 0.)

Since 0.12

### POPPLER_MINOR_VERSION

    #define POPPLER_MINOR_VERSION (26)

The major version number of the poppler header files (e.g. in poppler version 0.1.2 this is 1.)

Since 0.12

### POPPLER_MICRO_VERSION

    #define POPPLER_MICRO_VERSION (1)

The micro version number of the poppler header files (e.g. in poppler version 0.1.2 this is 2.)

Since 0.12

### POPPLER_CHECK_VERSION()

    #define             POPPLER_CHECK_VERSION(major,minor,micro)

Checks the version fo the poppler library

#### Parameters

major | major version (e.g. 0 for version 0.1.2) |
minor | minor version (e.g. 1 for version 0.1.2) |
micro | micro version (e.g. 2 for version 0.1.2) |

#### Returns

`TRUE` if the version of the poppler header files is the same as or newer than the passed-in version

Since 0.12

## Types and Values

### POPPLER_HAS_CAIRO

    #define POPPLER_HAS_CAIRO 1

Defined if poppler was compiled with cairo support.